Bug 1947343

Summary: Kuryr: NP tests failing when trying to create SG
Product: OpenShift Container Platform Reporter: Michał Dulko <mdulko>
Component: NetworkingAssignee: Michał Dulko <mdulko>
Networking sub component: kuryr QA Contact: Jon Uriarte <juriarte>
Status: CLOSED ERRATA Docs Contact:
Severity: high    
Priority: unspecified CC: juriarte
Version: 4.6   
Target Milestone: ---   
Target Release: 4.6.z   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-27 14:20:49 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1938960, 1940141, 1952429    
Bug Blocks:    
Attachments:
Description Flags
NP tests logs in OSP13
none
NP tests logs in OSP16.1 none

Description Michał Dulko 2021-04-08 09:20:23 UTC
Description of problem:
NP tests are failing with:

2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry [-] Report handler unhealthy KuryrNetworkPolicyHandler: openstack.exceptions.BadRequestException: BadRequestException: 400: Client Error for url: https://overcloud.redhat.lo$
al:13696/v2.0/security-group-rules, Must also specify protocol if port range is given.
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry Traceback (most recent call last):
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry   File "/usr/lib/python3.6/site-packages/kuryr_kubernetes/handlers/retry.py", line 81, in __call__
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry     self._handler(event, *args, **kwargs)
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry   File "/usr/lib/python3.6/site-packages/kuryr_kubernetes/handlers/k8s_base.py", line 84, in __call__
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry     self.on_present(obj)
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry   File "/usr/lib/python3.6/site-packages/kuryr_kubernetes/controller/handlers/kuryrnetworkpolicy.py", line 161, in on_present
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry     sgr_id = driver_utils.create_security_group_rule(sg_rule)
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry   File "/usr/lib/python3.6/site-packages/kuryr_kubernetes/controller/drivers/utils.py", line 201, in create_security_group_rule
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry     sgr = os_net.create_security_group_rule(**params)
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry   File "/usr/lib/python3.6/site-packages/openstack/network/v2/_proxy.py", line 3192, in create_security_group_rule
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry     return self._create(_security_group_rule.SecurityGroupRule, **attrs)
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry   File "/usr/lib/python3.6/site-packages/openstack/proxy.py", line 458, in _create
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry     return res.create(self, base_path=base_path)
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry   File "/usr/lib/python3.6/site-packages/openstack/resource.py", line 1298, in create
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry     self._translate_response(response, has_body=has_body)
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry   File "/usr/lib/python3.6/site-packages/openstack/resource.py", line 1113, in _translate_response
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry     exceptions.raise_from_response(response, error_message=error_message)
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry   File "/usr/lib/python3.6/site-packages/openstack/exceptions.py", line 235, in raise_from_response
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry     http_status=http_status, request_id=request_id
2021-03-30 10:13:07.394 1 ERROR kuryr_kubernetes.handlers.retry openstack.exceptions.BadRequestException: BadRequestException: 400: Client Error for url: https://overcloud.redhat.local:13696/v2.0/security-group-rules, Must also specify protocol if port range is given.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run NP tests. Observe issues.

Actual results:


Expected results:


Additional info:

Comment 8 Jon Uriarte 2021-04-20 05:49:13 UTC
Created attachment 1773622 [details]
NP tests logs in OSP13

Tested in OCP 4.6.0-0.nightly-2021-04-17-182039 IPI on top of OSP 13 (2021-03-24.1) and OSP 16.1 (RHOS-16.1-RHEL-8-20210323.n.0).

Upstream k8s NP tests have run successfully on both OSP infrastructures, and 1 test have failed out of 23, which is expected.
Find attached the logs

Comment 9 Jon Uriarte 2021-04-20 05:50:21 UTC
Created attachment 1773624 [details]
NP tests logs in OSP16.1

Comment 11 errata-xmlrpc 2021-04-27 14:20:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.26 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1232